package com.gic.finance.service;

import com.gic.finance.dto.InvoiceManageDTO;
import com.gic.finance.entity.TabInvoiceManage;

/**
 * 发票管理
 * @ClassName: InvoiceManageService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/14 2:44 PM 
 */
public interface InvoiceManageService {
    /**
     * save
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param invoiceManageDTO 
     * @return  void 
      */
    void save(InvoiceManageDTO invoiceManageDTO);

    /**
     * 查询单条
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param invoiceManageId 
     * @return  com.gic.finance.entity.TabInvoiceManage 
      */
    TabInvoiceManage getById(Integer invoiceManageId);

    /**
     * update
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param invoiceManageDTO 
     * @return  void 
      */
    void update(InvoiceManageDTO invoiceManageDTO);
}
